aboutsummaryrefslogtreecommitdiffstats
path: root/testing/php-xcache/APKBUILD
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2013-06-16 15:32:23 +0200
committerBartłomiej Piotrowski <bpiotrowski@alpinelinux.org>2013-06-16 15:32:23 +0200
commit7a7ef77119a9d4735d404ae052c31651d044aa65 (patch)
treefc2553aa35b2d3997179408b19431c2999b58a9f /testing/php-xcache/APKBUILD
parent68e34e4eb9a102b55888716ddb5fc0bbc1a61e86 (diff)
downloadaports-7a7ef77119a9d4735d404ae052c31651d044aa65.tar.gz
aports-7a7ef77119a9d4735d404ae052c31651d044aa65.tar.bz2
aports-7a7ef77119a9d4735d404ae052c31651d044aa65.tar.xz
testing/php-xcache: upgrade to 3.0.2
Diffstat (limited to 'testing/php-xcache/APKBUILD')
-rw-r--r--testing/php-xcache/APKBUILD18
1 files changed, 13 insertions, 5 deletions
diff --git a/testing/php-xcache/APKBUILD b/testing/php-xcache/APKBUILD
index 882305fa0b..26c14459d1 100644
--- a/testing/php-xcache/APKBUILD
+++ b/testing/php-xcache/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=php-xcache
-pkgver=3.0.1
+pkgver=3.0.2
pkgrel=0
pkgdesc="php opcode cacher"
url="http://xcache.lighttpd.net/"
@@ -11,7 +11,8 @@ depends_dev=""
makedepends="$depends_dev php-dev autoconf automake flex bison gawk"
install=""
subpackages=""
-source="http://xcache.lighttpd.net/pub/Releases/$pkgver/xcache-$pkgver.tar.bz2"
+source="http://xcache.lighttpd.net/pub/Releases/$pkgver/xcache-$pkgver.tar.bz2
+ xcache.ini"
_builddir="$srcdir"/xcache-$pkgver
prepare() {
@@ -34,12 +35,19 @@ build() {
--enable-xcache-optimizer \
--enable-xcache-coverager \
|| return 1
- make -j1
+ make -j1 || return 1
}
package() {
cd "$_builddir"
- make -j1 install INSTALL_ROOT="$pkgdir"
+ make -j1 install INSTALL_ROOT="$pkgdir" || return 1
+ install -Dm644 "$srcdir"/xcache.ini \
+ "$pkgdir"/etc/php/conf.d/xcache.ini || return 1
}
-md5sums="45086010bc4f82f506c08be1c556941b xcache-3.0.1.tar.bz2"
+md5sums="7371a057be0f53ba5a5ed09fdf11ae77 xcache-3.0.2.tar.bz2
+8fd9ce537ada9463c4b0c042243158c0 xcache.ini"
+sha256sums="cddeaf4d6b9676ba351ab92b39d8837adf8d2fa3424616d60da12cf29dc0b2df xcache-3.0.2.tar.bz2
+c8c843335028b1da1965ff71b73b42fc4bc45be08bf9ec3f71aff5744a428176 xcache.ini"
+sha512sums="d817659445da4b093ad818f759e1610f0ecfdf015fe53b2d20670b87e599b1e5357cf94f9599a1e1c0d2b15eef99fc653405d52d597e76af5a6696cb6885494e xcache-3.0.2.tar.bz2
+dc693745177ab1dfcd4e0ae1193ebcedf7d97f4ea222525fa52955be5dd68a50db27cce0c6ef069f9972e79d2cb0f88d6fa27e6e433781312c370e791a64c1cc xcache.ini"